Bug 484281 - Some UI elements do not use localised key names
Summary: Some UI elements do not use localised key names
Status: ASSIGNED
Alias: None
Product: kmail2
Classification: Applications
Component: UI (show other bugs)
Version: Git (master)
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-03-22 21:31 UTC by Emir SARI
Modified: 2024-03-28 21:12 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:
Sentry Crash Report:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emir SARI 2024-03-22 21:31:06 UTC
In the main window search bar (Search... <Alt+Q> - also in KAddressBook), the key names are not localised.

Also this is the case in the menu when dragging a mail to the folder, and asks us to copy or move.

Trying to fix this I opened https://invent.kde.org/frameworks/kconfigwidgets/-/merge_requests/231, but not sure if fixes it or not.
Comment 1 Laurent Montel 2024-03-23 08:31:19 UTC
in kaddressbook here it's translated same in kmail.
dnd is translated too.
Comment 2 Emir SARI 2024-03-25 18:58:32 UTC
Are we sure that we are about the "key" name, not the whole string?
Comment 3 Laurent Montel 2024-03-25 20:51:08 UTC
I can see in french "Chercher... <Alt+Q>"
What do you expect ?
Do you want that "ALT" must be translate ?
I can see in dolphin/kmail etc "Alt"

If there is a problem from it it's general problem in kde no ?
Comment 4 Emir SARI 2024-03-25 20:54:53 UTC
Not all languages use standard Alt name, in other places this is taken from Qt, with localised name automatically. On other places like menus on the menu bar, the localised names are taken automatically, but on this instance not, curiously. It just doesn’t look cohesive.
Comment 5 Laurent Montel 2024-03-25 21:27:58 UTC
Ah ok. I replaced it but SHIFT (translated by "Maj" in french) and indeed it's not translated.
Ok I will look at it tomorrow morning.
Comment 6 Emir SARI 2024-03-25 21:29:18 UTC
Thank you! I really appreciate that you always act so quick on reported stuff!
Comment 7 Laurent Montel 2024-03-26 06:17:40 UTC
Git commit 097419be2914db0588ff3139c2ad69ff67bd9ddc by Laurent Montel.
Committed on 26/03/2024 at 06:17.
Pushed by mlaurent into branch 'release/24.02'.

Fix translated shortcut

M  +1    -1    src/kmmainwidget.cpp

https://invent.kde.org/pim/kmail/-/commit/097419be2914db0588ff3139c2ad69ff67bd9ddc
Comment 8 Laurent Montel 2024-03-26 06:21:10 UTC
Git commit 94d876327ee85898649b34b358595422c8859b27 by Laurent Montel.
Committed on 26/03/2024 at 06:20.
Pushed by mlaurent into branch 'release/24.02'.

Fix translated shortcut

M  +2    -1    src/mainwidget.cpp

https://invent.kde.org/pim/kaddressbook/-/commit/94d876327ee85898649b34b358595422c8859b27
Comment 9 Laurent Montel 2024-03-26 06:28:15 UTC
Git commit a3fb2e618e147f520863d38dee43e88ba590482e by Laurent Montel.
Committed on 26/03/2024 at 06:28.
Pushed by mlaurent into branch 'release/24.02'.

Fix translated shortcut

M  +1    -1    src/kontactplugin/knotes_part.cpp

https://invent.kde.org/pim/knotes/-/commit/a3fb2e618e147f520863d38dee43e88ba590482e
Comment 10 Laurent Montel 2024-03-26 06:34:30 UTC
Git commit 857a58c7a108a3e2bc4dd3773909870288472c1d by Laurent Montel.
Committed on 26/03/2024 at 06:34.
Pushed by mlaurent into branch 'release/24.02'.

Fix translated shortcut

M  +1    -1    src/mainwindow.cpp

https://invent.kde.org/pim/kaddressbook/-/commit/857a58c7a108a3e2bc4dd3773909870288472c1d
Comment 11 Laurent Montel 2024-03-26 06:35:33 UTC
Git commit d89b7ed931eac9c777a78be3ab1d59e1663526a0 by Laurent Montel.
Committed on 26/03/2024 at 06:35.
Pushed by mlaurent into branch 'master'.

Fix translated shortcut

M  +1    -1    src/mainwindow.cpp

https://invent.kde.org/pim/kalarm/-/commit/d89b7ed931eac9c777a78be3ab1d59e1663526a0
Comment 12 Laurent Montel 2024-03-26 06:38:25 UTC
Git commit 8420c1e1fc0f39cb890b1a8a30ae31bb91c1c039 by Laurent Montel.
Committed on 26/03/2024 at 06:38.
Pushed by mlaurent into branch 'release/24.02'.

Fix translated shortcut

M  +1    -1    src/mainwindow.cpp

https://invent.kde.org/pim/kleopatra/-/commit/8420c1e1fc0f39cb890b1a8a30ae31bb91c1c039
Comment 13 Laurent Montel 2024-03-26 06:44:33 UTC
Git commit 313c924bf47bf943c75b1af58bae4d424ca629bb by Laurent Montel.
Committed on 26/03/2024 at 06:44.
Pushed by mlaurent into branch 'release/24.02'.

Fix translated shortcut

M  +1    -1    src/editor/kmcomposerwin.cpp
M  +1    -1    src/kmmainwin.cpp
M  +1    -1    src/kmreadermainwin.cpp

https://invent.kde.org/pim/kmail/-/commit/313c924bf47bf943c75b1af58bae4d424ca629bb
Comment 14 Laurent Montel 2024-03-26 06:57:04 UTC
Git commit ea80a964abaa5e58505d390e5796a8b791fcb4bb by Laurent Montel.
Committed on 26/03/2024 at 06:56.
Pushed by mlaurent into branch 'release/24.02'.

Fix translated shortcut

M  +4    -2    src/mainwindow.cpp

https://invent.kde.org/pim/kontact/-/commit/ea80a964abaa5e58505d390e5796a8b791fcb4bb
Comment 15 Laurent Montel 2024-03-26 07:01:12 UTC
Git commit 27ff1fbfb00ef764d082f215b68e3fc90f22a107 by Laurent Montel.
Committed on 26/03/2024 at 07:00.
Pushed by mlaurent into branch 'release/24.02'.

Fix translated shortcut

M  +1    -1    src/actionmanager.cpp

https://invent.kde.org/pim/korganizer/-/commit/27ff1fbfb00ef764d082f215b68e3fc90f22a107
Comment 16 Laurent Montel 2024-03-26 07:03:30 UTC
Git commit e44dbff569e31b71c4ce5e2a8f91362429c7f594 by Laurent Montel.
Committed on 26/03/2024 at 07:03.
Pushed by mlaurent into branch 'release/24.02'.

Fix translated shortcut

M  +1    -1    src/actions/actionmanagerimpl.cpp
M  +1    -1    src/mainwindow.cpp

https://invent.kde.org/pim/akregator/-/commit/e44dbff569e31b71c4ce5e2a8f91362429c7f594
Comment 17 Laurent Montel 2024-03-26 07:09:41 UTC
Git commit 4aef5d166c218b36a71b220bfdcc54f5c2973158 by Laurent Montel.
Committed on 26/03/2024 at 07:09.
Pushed by mlaurent into branch 'release/24.02'.

Fix translated shortcut

M  +1    -1    src/lib/actionsmodel.cpp

https://invent.kde.org/pim/merkuro/-/commit/4aef5d166c218b36a71b220bfdcc54f5c2973158
Comment 18 Bug Janitor Service 2024-03-26 07:15:44 UTC
A possibly relevant merge request was started @ https://invent.kde.org/utilities/kate/-/merge_requests/1434
Comment 19 Bug Janitor Service 2024-03-26 07:18:31 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/gwenview/-/merge_requests/261
Comment 20 Bug Janitor Service 2024-03-26 07:20:46 UTC
A possibly relevant merge request was started @ https://invent.kde.org/games/kollision/-/merge_requests/15
Comment 21 Laurent Montel 2024-03-26 19:24:59 UTC
Git commit 689867312cfb8adc756b6c448ba273ba1eab0a7d by Laurent Montel.
Committed on 26/03/2024 at 12:42.
Pushed by aacid into branch 'master'.

Show translated shortcut

M  +1    -1    src/mainarea.cpp

https://invent.kde.org/games/kollision/-/commit/689867312cfb8adc756b6c448ba273ba1eab0a7d
Comment 22 Albert Astals Cid 2024-03-26 19:25:41 UTC
Git commit c2044ca78912166d78a018bffeb6647a43693208 by Albert Astals Cid, on behalf of Laurent Montel.
Committed on 26/03/2024 at 19:25.
Pushed by aacid into branch 'release/24.02'.

Show translated shortcut
(cherry picked from commit 689867312cfb8adc756b6c448ba273ba1eab0a7d)

M  +1    -1    src/mainarea.cpp

https://invent.kde.org/games/kollision/-/commit/c2044ca78912166d78a018bffeb6647a43693208
Comment 23 Laurent Montel 2024-03-27 07:41:50 UTC
Git commit 85e78f9aa2d1064d2fd79243f5d0a2f496cb41bc by Laurent Montel.
Committed on 27/03/2024 at 07:39.
Pushed by mlaurent into branch 'master'.

Fix translate shortcut

M  +1    -1    app/mainwindow.cpp

https://invent.kde.org/graphics/gwenview/-/commit/85e78f9aa2d1064d2fd79243f5d0a2f496cb41bc
Comment 24 Christoph Cullmann 2024-03-28 21:12:40 UTC
Git commit 70e4a68ed4428fa636356d06c4afe9bf2566962e by Christoph Cullmann, on behalf of Laurent Montel.
Committed on 28/03/2024 at 21:02.
Pushed by cullmann into branch 'master'.

Show translated shortcut

M  +2    -2    addons/replicode/replicodeview.cpp
M  +1    -1    apps/lib/katemainwindow.cpp
M  +1    -1    apps/lib/kateviewspace.cpp

https://invent.kde.org/utilities/kate/-/commit/70e4a68ed4428fa636356d06c4afe9bf2566962e